# PetscViewerRegisterDestroy

Frees the list of PetscViewer methods that were registered by PetscViewerRegisterDynamic().

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerRegisterDestroy(void)

Not Collective

### See Also

PetscViewerRegisterDynamic(), PetscViewerRegisterAll()

Level:developer
Location: src/sys/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages